      SUBROUTINE KPROPS(PROPS,NPROPS)
C=======================================================================
C-----------------------------------------------------------------------
C----------------  DEFINITION OF MATERIAL CONSTANTS  -------------------
C=======================================================================
C---------------------------------------
C  Variables to be defined :
C---------------------------------------
C  PROPS	: Array containing material constants
C
C---------------------------------------
C  Variables passed in information :
C---------------------------------------
C  NPROPS	: Size of Array PROPS
C----------------------------------------------------------------------+
C----------------------------------------------------------------------+
C----------------------------  DECLARATIONS  --------------------------*
C----------------------------------------------------------------------+
C.1-----  Include,Precision
      IMPLICIT NONE
C.2-----  Parameter,Integer
      INTEGER NPROPS
C.3-----  Real,Complex,Double precision,Logical,Character
      DOUBLE PRECISION PROPS(NPROPS)
C.4-----  Common
C.5-----  Equivalence
C.6-----  Save,Data
C.7-----  Definition de fonctions
C----------------------------------------------------------------------+
C----------------------------------------------------------------------+
C-------------------  BEGINNING OF EXECUTABLE CODE  -------------------*
C----------------------------------------------------------------------+
**-----------------------------------------------------**
**------ MSF Material Parameters  ---------------------**
**------ Generated by MSFv3b on 15-Apr-2019 20:22:38
**------ Material: PLATE 17-4 PH SS
**------ Plain text version is 17-4_SLM_HT.props
**-----------------------------------------------------**

C  1 - Young's modulus. Uniaxial elastic modulus of the material.
      PROPS( 1) = 5.753300E+05 ! EMOD

C  2 - Cyclic yield stress of the material.
      PROPS( 2) = 5.150000E+02 ! SYLD

C  3 - Ultimate stress. Maximum stress from monotonic stress strain curve.
      PROPS( 3) = 9.270000E+02 ! SULT

C  4 - Reference grain size. Applies across alloys of a material that share a processing type.
      PROPS( 4) = 1.537380E+02 ! DCS0

C  5 - Grain size of material. DCS and DCS0 can be any units, as long as they are consistent.
      PROPS( 5) = 4.200000E+02 ! DCS

C  6 - Hardness of the base material (Kgf/mm^2)
      PROPS( 6) = 1.000000E+00 ! HV0

C  7 - Lowest Hardness Value (Kgf/mm^2)
      PROPS( 7) = 1.000000E+00 ! HV

C  8 - Maximum pore size. Size of the largest pore in the material.
      PROPS( 8) = 5.000000E-01 ! PORESIZE

C  9 - Pore nearest neighbor distance. Average nearest neighbor distance of pores.
      PROPS( 9) = 5.000000E+02 ! PORENND

C 10 - Porosity of the material expressed as the void volume fraction.
      PROPS(10) = 1.030000E-02 ! POROSITY

C 11 - Porosity threshold
      PROPS(11) = 1.000000E-04 ! PORTH

C 12 - Maximum particle size. Size of the largest particle in the material.
      PROPS(12) = 3.000000E+01 ! PARTSIZE

C 13 - Particle size standard deviation. Standard deviation representing distribution of particle sizes.
      PROPS(13) = 1.000000E+15 ! PARTDEV

C 14 - Cyclic strength coefficient (K') from the Ramberg-Osgood model of the material's cyclic stress-strain behavior.
      PROPS(14) = 1.406250E+03 ! TKPRM

C 15 - Cyclic strain hardening exponent. Strain hardening exponent (n') from the Ramberg-Osgood model of the material's cyclic stress-strain behavior.
      PROPS(15) = 2.875000E-02 ! TNPRM

C 16 - Constant related to Coffin Manson Law.
      PROPS(16) = 3.900000E-01 ! CNC

C 17 - Ductility coefficient in Coffin Manson Law.
      PROPS(17) = 4.000000E-01 ! CM

C 18 - Ductility exponent in Coffin Manson Law.
      PROPS(18) = -4.600000E-01 ! ALFA

C 19 - Exponent in remote strain to local plastic shear strain.
      PROPS(19) = 1.450000E+00 ! QQ

C 20 - Constant in remote strain to local plastic shear strain. Constant in expression relating the microstructure's effect on translating the remote strain to the local plastic shear strain.
      PROPS(20) = 4.370000E+01 ! YY1

C 21 - Linear constant in remote strain to local plastic shear strain. Linear parameter relating the stress ratio effect combined with the microstructure to translate the remote strain to the local plastic shear strain.
      PROPS(21) = 0.000000E+00 ! YY2

C 22 - Geometric factor in micromechanics study.
      PROPS(22) = 0.000000E+00 ! PUSA

C 23 - Exponent in micromechanics study. R is a shape constant describing the transition to limit plasticity in the plastic zone around an incipient crack. [Xue et al. 2007]
      PROPS(23) = 5.000000E-01 ! R

C 24 - Shape parameter for Young's modulus. Exponent governing the effect of porosity on the elastic modulus.
      PROPS(24) = 3.440000E+00 ! EMODEXP

C 25 - Shape parameter for particle size. Exponent governing the effect of particle size on the incubation life.
      PROPS(25) = 5.000000E-02 ! SIEXP

C 26 - Pore effect coefficient. Scaling parameter on porosity effect acting on high cycle fatigue small crack growth.
      PROPS(26) = 6.000000E-01 ! OMEGA

C 27 - Initial crack size contribution. Contribution of particle size to calculate the initial crack size at the end of incubation.
      PROPS(27) = 3.500000E-01 ! AINIC

C 28 - (NO EFFECT) Combination loading parameter. Combines the principle and effective stresses for multiaxial loadings to calculate the stress amplitude used in the model.
      PROPS(28) = 5.000000E-01 ! THETA

C 29 - Exponent in small crack growth.
      PROPS(29) = 3.200000E+00 ! TN

C 30 - LCF constant in small crack growth. Scaling parameter for crack growth driven by gross plastic strain in the limit plasticity regime.
      PROPS(30) = 4.400000E+06 ! CI

C 31 - HCF constant in small crack growth. Scaling parameter for crack growth from experimental correlations of MSC growth in HCF.
      PROPS(31) = 2.000000E-01 ! CII

C 32 - Crack growth rate constant.
      PROPS(32) = 4.000000E-03 ! GG

C 33 - CTD threshold value. Threshold for the crack tip displacement. Should be on the order of the material burger's vector.
      PROPS(33) = 2.850000E-10 ! CTDTH

C 34 - Final crack size length in small crack growth. Threshold for end of microstructurally small crack growth.
      PROPS(34) = 4.000000E+02 ! AFNL1

C 35 - Shape parameter for grain size effect. Exponent governing the effect of grain size on the small crack growth rate.
      PROPS(35) = 2.000000E+00 ! DCSEXP

C 36 - Shape parameter for pore size on local plastic strain. Exponent governing the effect of the maximum pore size on the incubation life.
      PROPS(36) = 5.000000E-02 ! POREEXP

C 37 - Shape parameter for hardness effect (friction stir welding)
      PROPS(37) = 0.000000E+00 ! HVEXP

C 38 - Paris crack growth parameter
      PROPS(38) = 5.780000E-09 ! PGCA

C 39 - Paris exponent.
      PROPS(39) = 3.760000E+00 ! PM

C 40 - Geometrical correction function
      PROPS(40) = 1.000000E+00 ! YGCF

C 41 - Small crack length.
      PROPS(41) = 4.000000E+02 ! A0

C 42 - Long crack length at coalescence
      PROPS(42) = 4.000000E+02 ! AC

C 43 - Shape parameter for grain misorientation effect. Exponent governing the effect of grain misorientation on the small crack growth rate.
      PROPS(43) = 6.000000E+00 ! GMOEXP

C 44 - Reference grain misorientation. Applies across alloys of a material that share a processing type.
      PROPS(44) = 3.255300E+01 ! GMO0

C 45 - Grain misorientation for the particular alloy. GMO and GMO0 can be any units, as long as they are consistent.
      PROPS(45) = 3.000000E+01 ! GMO

C 46 - Average Schmid Factor for the particular alloy, representing the effect of grain orientation.
      PROPS(46) = 4.000000E-01 ! SF

C 47 - Shape parameter for Schmid factor effect. Exponent governing effect of grain orientation (through the Schmid factor) on the small crack growth rate.
      PROPS(47) = -3.000000E+00 ! SFEXP
C
C----------------------------------------------------------------------+
C------- Step number in which stress amplitude is calculated
      PROPS(48) = 1.0D0 ! NSTEP
C=======================================================================
      RETURN
      END
C 
